/**
Theme Name: Takemeback Theme
Author: Marco Loprete
Author URI: https://www.marcoloprete.it
Description: Tema per il sito Takemeback.eu
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: takemeback-theme
Template: astra
*/

body .ast-container .wp-block-uagb-container>.uagb-container-inner-blocks-wrap>ul {
	margin-left: 0;
	margin-bottom: 1em;
}

@media screen and (min-width: 769px) {
.testo-su-colonne {
	column-count: 2;
  column-gap: 50px !Important;
  column-rule: 1px solid #e9e9e9 !Important;
}
}

/* Missione */
.give-btn {
	background: #ededed;
	border: 1px solid #ededed !Important;
}
.give-btn:hover {
	color: #3a3a3a;
}
#give-purchase-button {
	border-color: #f0506e !Important;
}
.give-currency-symbol.give-currency-position-before {
	display: none !Important;
}
#give-amount {
	width: 100%;
	min-height: 38px;
}

/* Typography */
a {
	text-underline-offset: 5px;
}

/* Container */
.single-post #primary {
	margin-bottom: 4em !Important;
}

/* Campagne */
.give-wrap .give-grid {
    grid-gap: 1.5rem;
    display: grid;
		grid-template-columns: repeat(2, 1fr);
    margin-bottom: 1.5rem;
    max-width: 100%;
}
@media screen and (max-width: 768px) {
	.give-wrap .give-grid {
		grid-template-columns: repeat(1, 1fr) !Important;
	}
}
.give-form-grid {
	flex-direction: column !Important;
}
#row-media {
	max-width: 100%;
}
.give-grid__item a, .give-form-grid-content>button {
	text-decoration: none !Important;
}
.give-form-grid-content>button {
	background: #f0506e !Important;
	padding: 15px 40px !Important;
	color: #ffffff !Important;
	font-weight: 700;
	text-transform: uppercase;
}

/* Pagine interne */
.sopratitolo {
	font-size: 15px;
	margin-bottom: 1em !Important;
	color: #0274C5;
	font-weight: 700;
}
:where(body .is-layout-flex) {
	gap: 40px;
}
@media (min-width: 1200px) {
.ast-plain-container.ast-no-sidebar #primary {
	margin-top: 0;
    margin-bottom: 0px;
}
}

/* Staff */
.greyscale img {
	filter: grayscale(100%);
}
.greyscale img:hover {
	filter: grayscale(0);
}

/* Widget sidebar */
.widget .wp-block-heading {
	font-size: 20px !Important;
}

/* Form di contatto */
div.wpforms-container-full input[type=email], div.wpforms-container-full input[type=tel], div.wpforms-container-full input[type=text], div.wpforms-container-full input[type=time], div.wpforms-container-full input[type=url], div.wpforms-container-full input[type=week], div.wpforms-container-full select, div.wpforms-container-full textarea {
	background: transparent;
	border-top: 0;
	border-left: 0;
	border-right: 0;
}
div.wpforms-container-full button[type=submit]:not(:hover):not(:active) {
	background: #F0506E;
	border-color: #F0506E;
	border-radius: 50px;
	padding: 10px 40px;
	font-weight: 700;
}

/* Posiziona i li sulla stessa riga su desktop */
@media screen and (max-width: 768px) {
#give-donation-level-button-wrap li {
    width: 49%;
    box-sizing: border-box;
    float: left;
}
	#give-donation-level-button-wrap li:nth-child(5) {
		width: 100%;
	}
}
@media screen and (min-width: 992px) {
#give-donation-level-button-wrap li {
    width: 19.2%;
    box-sizing: border-box;
    float: left;
}
}

/* Forza il pulsante "Importo personalizzato" a occupare l'intera larghezza e a andare a capo */
#give-donation-level-button-wrap li:last-child {
    width: 100%;
    clear: both; /* Assicura che vada a capo */
}

/* Aggiunge un po' di spazio tra i pulsanti */
#give-donation-level-button-wrap li:not(:last-child) {
    margin-right: 1%;
}
#give-donation-level-button-wrap li:nth-child(5) {
    margin-right: 0 !Important;
}

/* Opzionale: se vuoi centrare il testo di ogni pulsante */
#give-donation-level-button-wrap button {
    width: 100%;
    text-align: center;
}

.dettagli-campo.fondi, .dettagli-campo.donatori {
	padding: 30px;
	background: #ffffff;
	margin-bottom: 20px !Important;
	font-size: 30px;
}
.dettagli-campo.fondi {
	margin-top: 50px;
}

/* Form newsletter */
.mc4wp-form-basic input[type=text], .mc4wp-form-basic input[type=email], .mc4wp-form-basic input[type=tel], .mc4wp-form-basic input[type=url], .mc4wp-form-basic input[type=date], .mc4wp-form-basic textarea, .mc4wp-form-basic select {
	max-width: 100%;
	background: transparent;
	border-left: 0;
	border-right: 0;
	border-top: 0;
}
#mc4wp-form-1 {
	margin-top: 0;
}
p.checkbox {
	margin-top: 20px;
	margin-bottom: 20px;
}
.box-newsletter h2 {
	margin-bottom: 0 !Important;
}